Bug 707553 - Disable services not needed
Disable services not needed
Status: NEW
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 07:51 EDT by Harald Hoyer
Modified: 2016-11-25 04:14 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2011-05-25 07:51:42 EDT
If you installed Fedora 15 from the live CD you will end up with some system services enabled, which you most likely do not need _ever_.

These services are:

    fcoe and lldpad, only needed, if you have fibre channel over ethernet devices
    iscsi and iscsid, only needed, if you have iSCSI devices
    livesys and livesys-late, only needed for the live CD
    mdmonitor, only needed, if you have RAID devices

So, please disable those services, if the user did not choose to create such devices!
Comment 1 Jóhann B. Guðmundsson 2011-05-25 08:33:20 EDT
you can probably add to that list ntp as well it should be configured enabled and started in firstboot if the novice end user actually knows what it is and has any intent of using it..
Comment 2 Peter Robinson 2011-05-25 09:09:44 EDT
And the various NFS related services such as nfslock, rpcbind, rpcgssd, rpcidmapd

And smart card related services such as pcscd
Comment 3 Brian Lane 2011-05-26 13:53:24 EDT
This should be done in the spin's kickstart.
Comment 4 Bruno Wolff III 2011-05-26 14:47:13 EDT
This is going to be tricky. You need to fire off some post install process to check which of these services is really needed.
Probably you could do this with a service that runs on the first boot and disables the unneeded services (including itself).
I don't know that one person is going to have the knowledge to write all of the checks. Probably something will be needed where it is easy to add new checks as people think of them.
Comment 5 Peter Robinson 2011-05-27 05:16:35 EDT
I know anaconda has some logic to install appropriate fsck packages based on the fs that its installing to. I don't see it should be much different from that. Have it disabled by default, check for FCoE card, if its there enable the service, or even better have udev rules deal with it. To install for things like boot from SAN you need to go into advanced options and deal with such things like LUN masking etc so the code path for that determination is there. NFS is likely a little harder.
Comment 6 Chris Lumens 2011-05-27 10:22:54 EDT
anaconda has logic to enable services as needed, sure.  But that assumes an environment where most everything is off by default - like the regular installation environment.  The livecd defaults to having a ton of stuff on by default, and anaconda doesn't run around turning everything off.
Comment 7 Reartes Guillermo 2011-06-05 11:45:11 EDT
> fcoe and lldpad, only needed, if you have fibre channel over ethernet
> devices

lldpad, on a desktop computer without any fancy FC stuff, installed to basic storage, this service takes between 5% and 10% cpu time ALLWAYS. I noticed when dealing with a strange performance problem affecting kvm. It was not related to it but it consumes cpu for nothing and i discovered it because it was at the top of top's list most of the normal time. 

> livesys and livesys-late, only needed for the live CD

Totally forgot of those, i rediscovered them some minutes ago and was going to file a bugreport and found this on. These definitively should be disabled after firstboot (or maybe by firstboot itself). Do these services provide anything useful on an installed Fedora?

> iscsi and iscsid, only needed, if you have iSCSI devices

WOW! these were on!!! now i am paranoid because i need to audit what got enabled after install. Even some nfs suff seems enabled.

This is not good, maybe firstboot or anaconda should provide a 'active services after install' screen showing what services will be enabled (the user can choose to disable/enable some services here).

Is that related to the fact that is the kde-livecd image? does it not happen with the dvd?
Comment 8 Matthias Clasen 2011-06-06 11:11:37 EDT
(In reply to comment #6)
> anaconda has logic to enable services as needed, sure.  But that assumes an
> environment where most everything is off by default - like the regular
> installation environment.  The livecd defaults to having a ton of stuff on by
> default, and anaconda doesn't run around turning everything off.

I don't see where the livecd turns 'a ton of stuff' on.
All I can see in fedora-live-base.ks is that the mentioned livesys initscripts are added, and then there is a bunch of chkconfig off calls.

So, is the consensus here that we should pile on more of those, or should the package defaults of inidividual services be changed ?
Comment 9 Bruno Wolff III 2011-06-06 11:24:55 EDT
Ideally we would fix the resource hogs not to be resource hogs when they aren't needed. Possibly would could look at selectively disabling services post install, but then we need to have some way to do that and some idea of how to determine what hardware support is needed. anaconda has some way of doing this now, that isn't directly usable for live installs.
Comment 10 Chris Bredesen 2011-08-16 14:52:29 EDT
Related, for the LiveCD ones:

https://bugzilla.redhat.com/show_bug.cgi?id=637187
Comment 11 Peter Robinson 2012-06-06 05:45:20 EDT
I think this is still a problem so moving to rawhide for F-18 tracking
Comment 12 Jóhann B. Guðmundsson 2012-06-06 05:59:22 EDT
This kinda depends a bit on [1] to be properly fixed and easily customized for spins...

1.http://fedoraproject.org/wiki/Features/PackagePresets
Comment 13 Jóhann B. Guðmundsson 2012-06-06 07:04:12 EDT
I should also mentioned when I looked at optimizing the bootup process for spins during the F15 I hit a snag with the dependency of /dev/root being present various tools/application. 

Which kinda blows away a bit initramfs less boot up support which I think is needed at least from a *DE spins point of view for the best experience . 

Now I know that Grub2 has been fixed and grubby is still broken however I'm not so sure where the image creation tools are in this regard...
Comment 14 Fedora End Of Life 2013-04-03 11:33:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 15 Fedora End Of Life 2015-01-09 11:40:39 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Jan Kurik 2015-07-15 11:15:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 17 Fedora End Of Life 2016-11-24 05:31:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Vedran Miletić 2016-11-24 19:32:25 EST
This still applies to Fedora 25, doesn't it?
Comment 19 Peter Robinson 2016-11-25 04:14:24 EST
(In reply to Vedran Miletić from comment #18)
> This still applies to Fedora 25, doesn't it?

Maybe, most of them are enabled/disabled as part of the edition 'profile' (not sure the real name of it)

Note You need to log in before you can comment on or make changes to this bug.